Mohammad Khan ha scritto:

> 
> Are you saying, there have a bug in latest stable version of yaml?
> If not, what is the url to get the latest version of yaml?
> 

I think you should try the latest 'stable snapshot', wich is 1.8.1 from 
2003 + bugfixes:
ftp://ftp.ruby-lang.org/pub/ruby/stable-snapshot.tar.gz